%define import_path github.com/Sirupsen/logrus
%define gopath %{_libdir}/golang
%define gosrc %{gopath}/src/pkg/%{import_path}

Summary:	Structured logger for Go
Name:		golang-logrus
Version:	1.0.6
Release:	%mkrel 2
License:	MIT
Group:		Development/Other
Url:		https://%{import_path}
Source0:    https://%{import_path}/archive/v%{version}.tar.gz
Provides:   golang(%{import_path}) = %{version}-%{release}
BuildArch:  noarch

%description
%{summary}

%package devel
BuildRequires:  golang >= 1.3.3
BuildRequires:  golang(github.com/stretchr/testify/assert)
Requires:   golang >= 1.3.3
Requires:   golang(github.com/stretchr/testify/assert)
Summary:    Structured logger for Go
Provides:   golang(%{import_path}) = %{version}-%{release}
Provides:   golang(%{import_path}/hooks/airbrake) = %{version}-%{release}
Provides:   golang(%{import_path}/hooks/papertrail) = %{version}-%{release}
Provides:   golang(%{import_path}/hooks/syslog) = %{version}-%{release}

%description devel
%{summary}

This package contains library source intended for building other packages
which use %{import_path}

%prep
%setup -q -n logrus-%{version}

%build

%install
mkdir -p %{buildroot}%{gosrc}
for d in . */*/; do
    install -d -p %{buildroot}/%{gosrc}/$d
    cp -av $d/*.go %{buildroot}/%{gosrc}/$d
done
rm -f %{buildroot}%{gosrc}/{LICENSE,README.md}

%files
%doc LICENSE README.md

%files devel
%dir %attr(755,root,root) %{gosrc}
%dir %attr(755,root,root) %{gosrc}/*
%dir %attr(755,root,root) %{gosrc}/*/*
%{gosrc}/*.go
%{gosrc}/*/*/*.go


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 1.0.6-2.mga8
+ Revision: 1521779
- Mageia 8 Mass Rebuild

* Tue Jan 01 2019 bcornec <bcornec> 1.0.6-1.mga7
+ Revision: 1348240
- update to upstream golang-logrus 1.0.6

* Tue Oct 16 2018 bcornec <bcornec> 1.0.5-1.mga7
+ Revision: 1320670
- update to upstream golang-logrus 1.0.5

* Tue Sep 18 2018 umeabot <umeabot> 0.6.0-3.mga7
+ Revision: 1261844
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 0.6.0-2.mga6
+ Revision: 950802
- Mageia 6 Mass Rebuild

* Sun Nov 23 2014 bcornec <bcornec> 0.6.0-1.mga5
+ Revision: 798383
- Upload golang-logrus to build docker-io 1.3
- Created package structure for golang-logrus.

